<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePallatizingDetailsDatasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('qc_pallatizing_details_data', function (Blueprint $table) {
            $table->id('pallatizing_data_id');
            $table->integer('pallatizing_id');
            $table->date('pallatize_date');
            $table->string('rcl_no');
            $table->integer('l1_qty');
            $table->integer('l2_qty');
            $table->integer('l3_qty');
            $table->integer('l4_qty');
            $table->integer('l5_qty');
            $table->integer('l6_qty');
            $table->integer('l7_qty');
            $table->integer('l8_qty');
            $table->integer('l9_qty');
            $table->integer('l10_qty');
            $table->integer('l11_qty');
            $table->integer('l12_qty');
            $table->integer('l13_qty');
            $table->integer('width');
            $table->integer('length');
            $table->integer('height');
            $table->integer('weight');
            $table->string('label_no');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('qc_pallatizing_details_data');
    }
}
